diff -u -w msdog-2008-05-27.texi msdog-patched-2008-05-27.texi
--- msdog-2008-05-27.texi	2008-05-27 08:25:12.000000000 -0700
+++ msdog-patched-2008-05-27.texi	2008-05-27 09:07:40.000000000 -0700
@@ -403,6 +403,25 @@
 key.  If you wish it to produce the @code{Alt} modifier instead, set
 the variable @code{w32-alt-is-meta} to a @code{nil} value.
 
+@vindex w32-register-hot-key
+@vindex w32-unregister-hot-key
+  Although the @key{ALT} key is mapped by default to the Emacs
+@key{META} key, MS Windows preempts its use by Emacs for certain key
+combinations, such as @key{ALT-TAB}.  You can use function
+@code{w32-register-hot-key} to allow a key sequence to be seen by
+Emacs instead of being grabbed by Windows.
+
+@kindex M-TAB @r{(MS-Windows)}
+@cindex @code{M-TAB} vs @code{Alt-TAB} (MS-Windows)
+@cindex @code{Alt-TAB} vs @code{M-TAB} (MS-Windows)
+  For example, @code{(w32-register-hot-key [M-tab])} lets you use
+@kbd{M-TAB} normally in Emacs. This is effective at all levels, so,
+for instance, you can use @kbd{M-TAB} at top level to complete the
+word or symbol at point, and you can use it during incremental search
+to complete the current search string against previously sought
+strings.  The function @code{w32-unregister-hot-key} reverses the
+effect of @code{w32-register-hot-key}.
+
 @vindex w32-capslock-is-shiftlock
   By default, the @key{CapsLock} key only affects normal character
 keys (it converts lower-case characters to their upper-case

Diff finished.  Tue May 27 09:08:12 2008
